/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ECCODES_ecbuild_config_h
#define ECCODES_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.9.0"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.9.0"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/builddir/build/BUILD/eccodes-2.39.0-build/eccodes-2.39.0-Source/cmake"
#endif

/* config info */

#define ECCODES_OS_NAME          "Linux-6.12.10-200.fc41.aarch64"
#define ECCODES_OS_BITS          64
#define ECCODES_OS_BITS_STR      "64"
#define ECCODES_OS_STR           "linux.64"
#define ECCODES_OS_VERSION       "6.12.10-200.fc41.aarch64"
#define ECCODES_SYS_PROCESSOR    "aarch64"

#define ECCODES_BUILD_TIMESTAMP  "20250202151356"
#define ECCODES_BUILD_TYPE       "RelWithDebInfo"

#define ECCODES_C_COMPILER_ID      "GNU"
#define ECCODES_C_COMPILER_VERSION "15.0.1"

#define ECCODES_CXX_COMPILER_ID      "GNU"
#define ECCODES_CXX_COMPILER_VERSION "15.0.1"

#define ECCODES_C_COMPILER       "/usr/bin/gcc"
#define ECCODES_C_FLAGS          "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -mbranch-protection=standard -fasynchronous-unwind-tables -fstack-clash-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -pipe -fopenmp -O2 -g -DNDEBUG"

#define ECCODES_CXX_COMPILER     "/usr/bin/g++"
#define ECCODES_CXX_FLAGS        "-O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -mbranch-protection=standard -fasynchronous-unwind-tables -fstack-clash-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -pipe -fopenmp -O2 -g -DNDEBUG"

/* Needed for finding per package config files */

#define ECCODES_INSTALL_DIR       "/usr"
#define ECCODES_INSTALL_BIN_DIR   "/usr/bin"
#define ECCODES_INSTALL_LIB_DIR   "/usr/lib64"
#define ECCODES_INSTALL_DATA_DIR  "/usr/share/eccodes"

#define ECCODES_DEVELOPER_SRC_DIR "/builddir/build/BUILD/eccodes-2.39.0-build/eccodes-2.39.0-Source"
#define ECCODES_DEVELOPER_BIN_DIR "/builddir/build/BUILD/eccodes-2.39.0-build/eccodes-2.39.0-Source/redhat-linux-build"

/* Fortran support */

#if 1

#define ECCODES_Fortran_COMPILER_ID      "GNU"
#define ECCODES_Fortran_COMPILER_VERSION "15.0.1"

#define ECCODES_Fortran_COMPILER "/usr/bin/gfortran"
#define ECCODES_Fortran_FLAGS    "-fPIC -fopenmp -O2 -g -DNDEBUG"

#endif

#endif /* ECCODES_ecbuild_config_h */
